Subject: [PATCH 0/2] DaVinci: GPIO: fixes

From: [email-masked] (Grygorii Strashko)
Date: Tue, 12 Nov 2013 10:39:44 +0200

Hi Sekhar,

On 11/12/2013 08:18 AM, Sekhar Nori wrote:
> On Monday 11 November 2013 09:13 PM, Grygorii Strashko wrote:
>> Hi Sekhar, Prabhakar Lad
>>
>> On 11/08/2013 08:45 AM, Prabhakar Lad wrote:> From: "Lad, Prabhakar" <[email-masked]>
>>>
>>> This patch series fixes gpio driver regestration
>>> and offset check for unbanked gpio.
>>>
>>> Lad, Prabhakar (2):
>>>     gpio: davinci: Fix a check for unbanked gpio
>>>     ARM: davinci: Fix number of resources passed to
>>>       davinci_gpio_register() call
>>
>> I've verified both patches - looks ok.
>> Patch 1 - restores unbanked GPIO IRQs functionality
>> Patch 2 - allows to register GPIO Platform devices and boot without issues.
>>
>> Could we move forward with these patches?
> 
> Prabhakar, both patches look good to me. Thanks for the fixes.
> 
> Also Grygorii, have you actually verified that the unbanked IRQ support
> works? Only DM365 uses it.

Yes, I've verified it, but on Keystone which has similar GPIO IP
which supports only unbanked IRQs.

> 
> What do I add for you? Tested-by: or Acked-by:

Reported-and-Reviewed-and-Tested-by: Grygorii Strashko <[email-masked]> :P
^Up to you :), but if I understand things right "Acked-by:" included all above

Regards,
- grygorii